Subject: CORRECTION: makewhatis
From: [email-masked] (Rik Faith)
Date: 9 Apr 1993 01:57:38 GMT
Newsgroups: comp.os.linux.announce

[This is a correction to Thomas' earlier post about makewhatis. I should
have verified it before approval. :) Please remember that even though I 
moderate the group, I can only ensure that postings are appropriate, but
not necessarily correct. So in many cases I will assume that postings to 
this group are correct. Sorry for the confusion. --mdw]

In article <[email-masked]>, [email-masked] (Thomas Koenig) writes:
|> A word of warning to all who have installed the SLS distribution:
|> 
|> Do NOT run /usr/lib/makewhatis as distributed on SLS.  It will
|> clobber your whatis database, making the man -k command unusable.

I wrote the makewhatis program that is currently in the SLS distribution.

The -c option, based on patches by Mitchum DSouza, was added in December.
This option will re-create the whatis database from compressed nroff output
(i.e., from the files in the /usr/man/cat* hierarchy).

Before posting erroneous and/or misleading information to a newsgroup, it
is often helpful to think about your problem, seek documentation, or talk
about the problem to one or two other people.  Sending a note to the
distribution maintainer (i.e., Peter), or to the author of the software in
question (i.e., me), can often save everyone a great deal of time.  This is
especially important for bug reports and patches: if you don't communicate
directly with the author or maintainer of a package, your comments, bug
reports, or patches are often lost in the noise.

-- 
Rik Faith: [email-masked]
What I tell you three times is true.  --Dodgson
-- 
Send submissions for comp.os.linux.announce to: [email-masked]